
Installer - Bug #22537

Running installer with --no-enable-puppet fails

02/09/2018 09:47 AM - Ondřej Pražák

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installer tries to add foreman user to puppet group, but the group is not present because we skipped puppet.

Steps to reproduce:

1) foreman-installer -v --scenario "foreman" --no-enable-puppet

[ WARN 2018-02-09T09:40:59 verbose]  /Stage[main]/Foreman::Config/User[foreman]/shell: shell chang

ed '/sbin/nologin' to '/bin/false'

[ERROR 2018-02-09T09:40:59 verbose]  Could not set groups on user[foreman]: Execution of '/sbin/us

ermod -G puppet foreman' returned 6: usermod: group 'puppet' does not exist

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/execut

ion.rb:235:in `execute'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider.rb

:101:in `execute'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/na

meservice.rb:296:in `set'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/na

meservice.rb:78:in `block (2 levels) in resource_type='

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb

:194:in `call_provider'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb

:501:in `set'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb

:561:in `sync'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:236:in `sync'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:134:in `sync_if_needed'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:88:in `block in perform_changes'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:87:in `each'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:87:in `perform_changes'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:21:in `evaluate'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:233:in `apply'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:249:in `eval_resource'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:163:in `call'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:163:in `block (2 levels) in evaluate'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:507

:in `block in thinmark'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `rea
ltime'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:506

:in `thinmark'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:163:in `block in evaluate'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relat

ionship_graph.rb:118:in `traverse'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:154:in `evaluate'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/ca

talog.rb:222:in `block in apply'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb

:155:in `with_destination'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/report.rb:146:in `as_logging_destination'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/ca

talog.rb:221:in `apply'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:171:in `block in apply_catalog'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:224

:in `block in benchmark'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `rea

ltime'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223

:in `benchmark'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:170:in `apply_catalog'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:343:in `run_internal'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:221:in `block in run'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:

65:in `override'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:306:in `

override'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:195:in `run'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

/apply.rb:350:in `apply_catalog'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

/apply.rb:274:in `block in main'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:

65:in `override'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:306:in `

override'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

/apply.rb:225:in `main'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

/apply.rb:170:in `run_command'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

.rb:375:in `block in run'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:662

:in `exit_on_fail'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

.rb:375:in `run'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comman

d_line.rb:132:in `run'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comman

d_line.rb:72:in `execute'

[ERROR 2018-02-09T09:40:59 verbose] /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

[ERROR 2018-02-09T09:40:59 verbose]  /Stage[main]/Foreman::Config/User[foreman]/groups: change fro

m  to puppet failed: Could not set groups on user[foreman]: Execution of '/sbin/usermod -G puppet 

foreman' returned 6: usermod: group 'puppet' does not exist

History

#1 - 02/21/2018 09:18 AM - Ondřej Pražák

05/21/2024 2/3



- Priority changed from High to Normal

- translation missing: en.field_release deleted (296)

Moving out of 1.17 release, this has been broken for a long time and there is no easy fix.
